import { IProperty } from '../IProperty.js';
import { IDesignItem } from '../../../item/IDesignItem.js';
import { AbstractPropertiesService } from './AbstractPropertiesService.js';
import { RefreshMode } from '../IPropertiesService.js';
import { IPropertyGroup } from '../IPropertyGroup.js';
export declare class AttachedPropertiesService extends AbstractPropertiesService {
    name: string;
    getRefreshMode(designItem: IDesignItem): RefreshMode;
    isHandledElement(designItem: IDesignItem): boolean;
    getProperties(designItem: IDesignItem): Promise<IProperty[] | IPropertyGroup[]>;
}
